package com.bocloud.cmp.model.agile;

import java.util.Date;
import java.util.List;

/**
 * 资源池业务类(vcenter)
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年11月23日
 */
public class AgileResourcePoolModel {
    private String name;// 资源池名称
    private Long parentId;// 父资源池
    private String parentName;// 父资源池名称
    private String parentPoolVal;// 父资源池value
    private Date gmtModify;// 最后修改时间
    private Long cpuReservation;// CPU预留
    private Boolean cpuExpanReservation;// CPU可扩展预留
    private Long cpuLimit;// CPU限制
    private int cpuShares;// CPU份额值
    private String cpuShareLevel;// CPU份额(low低/normal正常/high高/custom自定义)
    private Long memReservation;// 内存预留
    private Boolean memExpanReservation;// 内存可扩展预留
    private Long memLimit;// 内存限制
    private int memShares;// 内存份额值
    private String memShareLevel;// 内存份额(low低/normal正常/high高/custom自定义)
    private String poolVal;// 资源池value
    private Long vdcId;// 数据中心ID
    private String vdcName;// 数据中心名称
    private Long owner;// 资源池所属
    private String ownerCategory;// 资源池所属类别
    private String hostName;// 宿主机名称
    private String hostVal;// 宿主机value
    private String clusterName;// 集群名称
    private String clusterVal;// 集群value
    private Long vendorId;// 云平台ID
    private String ownerName;
    //-------2020/3/26 新插入代码 start
    private String resignUuid; // 华为SDN资源池所属区域唯一标识
    private String resourcePoolType; // 资源池类型，Vlan Vtep Mgmt Inter BgpPeer
    private String startIp; // 华为SDN资源池起始IP地址
    private String endIp; // 华为SDN资源池终止IP地址
    private String mask; // 华为SDN资源池IP地址掩码
    private String resourcePoolUuid; //华为SDN资源池唯一标识
    private String ipVersion; // 华为SDN资源池IP地址类型, Ipv4 Ipv6
    private List<AgileResourcePoolSegmentsModel> segmentsModels;
    private List<String> resourcePoolUUids;

    public String getResignUuid() {
        return resignUuid;
    }

    public void setResignUuid(String resignUuid) {
        this.resignUuid = resignUuid;
    }

    public String getResourcePoolType() {
        return resourcePoolType;
    }

    public void setResourcePoolType(String resourcePoolType) {
        this.resourcePoolType = resourcePoolType;
    }

    public String getStartIp() {
        return startIp;
    }

    public void setStartIp(String startIp) {
        this.startIp = startIp;
    }

    public String getEndIp() {
        return endIp;
    }

    public void setEndIp(String endIp) {
        this.endIp = endIp;
    }

    public String getMask() {
        return mask;
    }

    public void setMask(String mask) {
        this.mask = mask;
    }

    public String getResourcePoolUuid() {
        return resourcePoolUuid;
    }

    public void setResourcePoolUuid(String resourcePoolUuid) {
        this.resourcePoolUuid = resourcePoolUuid;
    }

    public String getIpVersion() {
        return ipVersion;
    }

    public void setIpVersion(String ipVersion) {
        this.ipVersion = ipVersion;
    }

    public List<AgileResourcePoolSegmentsModel> getSegmentsModels() {
        return segmentsModels;
    }

    public void setSegmentsModels(List<AgileResourcePoolSegmentsModel> segmentsModels) {
        this.segmentsModels = segmentsModels;
    }

    public List<String> getResourcePoolUUids() {
        return resourcePoolUUids;
    }

    public void setResourcePoolUUids(List<String> resourcePoolUUids) {
        this.resourcePoolUUids = resourcePoolUUids;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the parentId
     */
    public Long getParentId() {
        return parentId;
    }

    /**
     * @param parentId the parentId to set
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * @return the parentName
     */
    public String getParentName() {
        return parentName;
    }

    /**
     * @param parentName the parentName to set
     */
    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    /**
     * @return the parentPoolVal
     */
    public String getParentPoolVal() {
        return parentPoolVal;
    }

    /**
     * @param parentPoolVal the parentPoolVal to set
     */
    public void setParentPoolVal(String parentPoolVal) {
        this.parentPoolVal = parentPoolVal;
    }

    /**
     * @return the gmtModify
     */
    public Date getGmtModify() {
        return gmtModify;
    }

    /**
     * @param gmtModify the gmtModify to set
     */
    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    /**
     * @return the cpuReservation
     */
    public Long getCpuReservation() {
        return cpuReservation;
    }

    /**
     * @param cpuReservation the cpuReservation to set
     */
    public void setCpuReservation(Long cpuReservation) {
        this.cpuReservation = cpuReservation;
    }

    /**
     * @return the cpuExpanReservation
     */
    public Boolean getCpuExpanReservation() {
        return cpuExpanReservation;
    }

    /**
     * @param cpuExpanReservation the cpuExpanReservation to set
     */
    public void setCpuExpanReservation(Boolean cpuExpanReservation) {
        this.cpuExpanReservation = cpuExpanReservation;
    }

    /**
     * @return the cpuLimit
     */
    public Long getCpuLimit() {
        return cpuLimit;
    }

    /**
     * @param cpuLimit the cpuLimit to set
     */
    public void setCpuLimit(Long cpuLimit) {
        this.cpuLimit = cpuLimit;
    }

    /**
     * @return the cpuShares
     */
    public int getCpuShares() {
        return cpuShares;
    }

    /**
     * @param cpuShares the cpuShares to set
     */
    public void setCpuShares(int cpuShares) {
        this.cpuShares = cpuShares;
    }

    /**
     * @return the cpuShareLevel
     */
    public String getCpuShareLevel() {
        return cpuShareLevel;
    }

    /**
     * @param cpuShareLevel the cpuShareLevel to set
     */
    public void setCpuShareLevel(String cpuShareLevel) {
        this.cpuShareLevel = cpuShareLevel;
    }

    /**
     * @return the memReservation
     */
    public Long getMemReservation() {
        return memReservation;
    }

    /**
     * @param memReservation the memReservation to set
     */
    public void setMemReservation(Long memReservation) {
        this.memReservation = memReservation;
    }

    /**
     * @return the memExpanReservation
     */
    public Boolean getMemExpanReservation() {
        return memExpanReservation;
    }

    /**
     * @param memExpanReservation the memExpanReservation to set
     */
    public void setMemExpanReservation(Boolean memExpanReservation) {
        this.memExpanReservation = memExpanReservation;
    }

    /**
     * @return the memLimit
     */
    public Long getMemLimit() {
        return memLimit;
    }

    /**
     * @param memLimit the memLimit to set
     */
    public void setMemLimit(Long memLimit) {
        this.memLimit = memLimit;
    }

    /**
     * @return the memShares
     */
    public int getMemShares() {
        return memShares;
    }

    /**
     * @param memShares the memShares to set
     */
    public void setMemShares(int memShares) {
        this.memShares = memShares;
    }

    /**
     * @return the memShareLevel
     */
    public String getMemShareLevel() {
        return memShareLevel;
    }

    /**
     * @param memShareLevel the memShareLevel to set
     */
    public void setMemShareLevel(String memShareLevel) {
        this.memShareLevel = memShareLevel;
    }

    /**
     * @return the poolVal
     */
    public String getPoolVal() {
        return poolVal;
    }

    /**
     * @param poolVal the poolVal to set
     */
    public void setPoolVal(String poolVal) {
        this.poolVal = poolVal;
    }

    /**
     * @return the vdcId
     */
    public Long getVdcId() {
        return vdcId;
    }

    /**
     * @param vdcId the vdcId to set
     */
    public void setVdcId(Long vdcId) {
        this.vdcId = vdcId;
    }

    /**
     * @return the vdcName
     */
    public String getVdcName() {
        return vdcName;
    }

    /**
     * @param vdcName the vdcName to set
     */
    public void setVdcName(String vdcName) {
        this.vdcName = vdcName;
    }

    /**
     * @return the owner
     */
    public Long getOwner() {
        return owner;
    }

    /**
     * @param owner the owner to set
     */
    public void setOwner(Long owner) {
        this.owner = owner;
    }

    /**
     * @return the ownerCategory
     */
    public String getOwnerCategory() {
        return ownerCategory;
    }

    /**
     * @param ownerCategory the ownerCategory to set
     */
    public void setOwnerCategory(String ownerCategory) {
        this.ownerCategory = ownerCategory;
    }

    /**
     * @return the hostName
     */
    public String getHostName() {
        return hostName;
    }

    /**
     * @param hostName the hostName to set
     */
    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    /**
     * @return the hostVal
     */
    public String getHostVal() {
        return hostVal;
    }

    /**
     * @param hostVal the hostVal to set
     */
    public void setHostVal(String hostVal) {
        this.hostVal = hostVal;
    }

    /**
     * @return the clusterName
     */
    public String getClusterName() {
        return clusterName;
    }

    /**
     * @param clusterName the clusterName to set
     */
    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    /**
     * @return the clusterVal
     */
    public String getClusterVal() {
        return clusterVal;
    }

    /**
     * @param clusterVal the clusterVal to set
     */
    public void setClusterVal(String clusterVal) {
        this.clusterVal = clusterVal;
    }

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the ownerName
     */
    public String getOwnerName() {
        return ownerName;
    }

    /**
     * @param ownerName the ownerName to set
     */
    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }
}
